import { Field, ID, InputType } from '@nestjs/graphql';

@InputType()
export class EditItemInput {
  @Field((type) => ID)
  id: string;

  @Field({ nullable: true })
  name?: string;

  @Field({ nullable: true })
  notes?: string;

  @Field((type) => ID, { nullable: true })
  parent?: string;
}
